Skip to content

Edit an expense.

PATCH
/api/expenses/{expenseId}
curl --request PATCH \
--url https://api.tradr.cloud/api/expenses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "amount": "example", "category": "data_subscription", "currency": "example", "description": "example", "notes": "example", "occurredAt": "2026-04-15" }'

Authed. A partial update — only the fields you send change.

expenseId
required
string format: uuid
Media typeapplication/json
object
amount

Positive decimal

string
category
string
Allowed values: data_subscription platform_fee software education hardware other
currency
string
>= 3 characters <= 3 characters
description
string
>= 1 characters <= 200 characters
notes
string
nullable <= 5000 characters
occurredAt
string format: date

The updated expense.

Validation error

No such expense for this user.